<div>
    <h2 id="page-heading">
        <span jhiTranslate="gestioncvsApp.environTech.home.title">Environ Teches</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-environ-tech" [routerLink]="['/environ-tech/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="gestioncvsApp.environTech.home.createLabel">
            Create a new Environ Tech
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="environTeches?.length === 0">
        <span jhiTranslate="gestioncvsApp.environTech.home.notFound">No environTeches found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="environTeches && environTeches.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="webTechnlogies"><span jhiTranslate="gestioncvsApp.environTech.webTechnlogies">Web Technlogies</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="webClientTechnologies"><span jhiTranslate="gestioncvsApp.environTech.webClientTechnologies">Web Client Technologies</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="baseDonnee"><span jhiTranslate="gestioncvsApp.environTech.baseDonnee">Base Donnee</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="projetManagementBuilding"><span jhiTranslate="gestioncvsApp.environTech.projetManagementBuilding">Projet Management Building</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="architechture"><span jhiTranslate="gestioncvsApp.environTech.architechture">Architechture</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let environTech of environTeches ;trackBy: trackId">
                    <td><a [routerLink]="['/environ-tech', environTech.id, 'view']">{{ environTech.id }}</a></td>
                    <td>{{ environTech.webTechnlogies }}</td>
                    <td>{{ environTech.webClientTechnologies }}</td>
                    <td>{{ environTech.baseDonnee }}</td>
                    <td>{{ environTech.projetManagementBuilding }}</td>
                    <td>{{ environTech.architechture }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/environ-tech', environTech.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/environ-tech', environTech.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(environTech)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="environTeches && environTeches.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
